Subject: bug#9633: closed (Re: bug#9633: 24.0.90; viewing a pdf crashes emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Mar 2012 23:08:01 +0000

Your bug report

#9633: imagemagick-related crash in DocView

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9633: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9633
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9633: 24.0.90; viewing a pdf crashes emacs
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 27 Mar 2012 18:35:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris wrote:

> What version of ImageMagick is on your system?
> Does the crash happen with any multi-page pdf, or just one/some?
> For example, does it happen with etc/refcards/refcard.pdf from the Emacs
> distribution?
> What happens if you just open a png file in emacs -Q?
>
> Can you build Emacs using:
>
> CFLAGS=-O0 -g3 ./configure
> make
>
> then run it using:
>
> cd src
> gdb ./emacs
> run -Q
>
> and when it crashes, post the result of `bt full'?

Nothing can be done without this information, so I am closing this.
If you are interested in pursuing this, please try to reply with those
details and this can be reopened if appopriate.

Subject: 24.0.90; viewing a pdf crashes emacs
From: Pieter Slabbert <[email-masked]>
To: [email-masked]
Date: Thu, 29 Sep 2011 21:02:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When opening a pdf only the first page displays. I can scroll down this
page but once I try to go to the next page emacs freezesand I get the
message:
emacs: Memory allocation failed `' @ fatal/tiff.c/UnregisterTIFFImage/1817.

In GNU Emacs 24.0.90.1 (i686-pc-linux-gnu, GTK+ Version 2.24.4)
 of 2011-09-29 on box
Windowing system distributor `The X.Org Foundation', version 11.0.10905000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<menu> r e p o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)